package paketBMIDB;

public class Person 
{

	 // Attribute
	    private String name;
	    private String geschlecht;
	    private double gewicht;
	    private int jahre;
	    private double groesse;
		private double bmi;
		private String kommentarJahre;
		private String kommentarGeschlecht;

	 // Konstuktor
	    public Person()
		{
	    }

	 // Methoden
	    public String getName() 
		{
	      return name;
	    }
	    
		public void setName(String pName) 
		{
	      name = pName;
	    }
	    
		public String getGeschlecht() 
		{
	      return geschlecht;
	    }
	    
		public void setGeschlecht(String pGeschlecht) 
		{
	      geschlecht = pGeschlecht;
	    }
	    
		public double getGewicht() 
		{
	      return gewicht;
	    }
	    
		public void setGewicht(double pGewicht) 
		{
	      gewicht = pGewicht;
	    }
	    
		public int getJahre() 
		{
	      return jahre;
		}
		
	    public void setJahre(int pJahre)
		{
	      jahre = pJahre;
	    }

	    public double getGroesse() 
		{
	      return groesse;
	    }
	    
		public void setGroesse(double pGroesse)
		{
	      groesse = pGroesse;
	    }

	   public void berechneBMI() 
	   {
	   // BMI berechnen und Ergebnis in Variable bmi speichern
	      bmi = gewicht / (groesse * groesse);
	      bmi = Math.round(bmi *100.0)/100.0;
		  kommentiereNachGeschlecht();
		  kommentiereNachJahre();
	   }
	   
	   public double getBMI()
	   {
	   // Rückgabe des Ergebnisses an den Aufrufer
	      return bmi;
	   }
	   
	   public String getKommentarJahre()
	   {
	      return kommentarJahre;
	   }
	   
	   public String getKommentarGeschlecht()
	   {
	      return kommentarGeschlecht;
	   }
	   
	   
	   public void kommentiereNachJahre()
	   {
	       if (jahre>=19 && jahre<25)
		   {
			   kommentarJahre = "Im Alter von " + jahre + " Jahren liegt der ideale BMI zwischen 19 und 24";
		   }
			else
			{
			   if (jahre<34)
			   {
			   	   kommentarJahre = "Im Alter von " + jahre + " Jahren liegt der ideale BMI zwischen 20 und 25";
			   }
			   else
			   {
				   if (jahre<44)
			       {
			   	      kommentarJahre = "Im Alter von " + jahre + " Jahren liegt der ideale BMI zwischen 21 und 26";
			       }
			       else
			       {
			          if (jahre<54)
			          {
			   	          kommentarJahre = "Im Alter von " + jahre + " Jahren liegt der ideale BMI zwischen 22 und 27";
			          }
			          else
			          {
			              if (jahre<65)
			              {
			   	              kommentarJahre = "Im Alter von " + jahre + " Jahren liegt der ideale BMI zwischen 23 und 29";
			              }
			              else
			              {
			   			   	  kommentarJahre = "Im Alter von " + jahre + " Jahren liegt der ideale BMI zwischen 24 und 29";

			              }
			          }
			       }
			   }
			}
	   
	   
	   }
	   
	   public void kommentiereNachGeschlecht()
	   {
		   if (geschlecht.equals("m"))
		   {
			   if (bmi<20)
			   {
				   kommentarGeschlecht = "Untergewicht!! Bitte mehr essen und trinken!";
			   }
			   else
			   {
				   if (bmi<25)
			       {
				      kommentarGeschlecht = "Normalgewicht, schön dabei bleiben!";
			       }
				   else
				   {
					  kommentarGeschlecht = "Übergewicht!! Bitte vernünftig ernähren!";
				   }
				}
		   }
		   else
		   {
			   if (bmi<19)
			   {
				   kommentarGeschlecht = " --> Untergewicht, mehr essen und trinken!";
			   }
			   else
			   {
				   if (bmi<24)
			       {
				      kommentarGeschlecht = " --> Normalgewicht, schön dabei bleiben!";
			       }
				   else
				   {
					  kommentarGeschlecht = " --> Übergewicht, vernünftig ernähren!";
				   }
				}
		   }
	   }
	   
}

